const Koa = require("koa");
const redis = require("redis");
const app = new Koa();

// Redis setup
const redisConfig = {
  url: process.env.REDIS_URL,
  database: 1,
};

(async () => {
  let redisClient = redis.createClient(redisConfig);
  redisClient.on("error", (error) => console.error(`Error: ${error}`));
  await redisClient.connect();
})();

app.use(async (ctx) => {
  ctx.body = `The code word is: ${process.env.TEST_STRING}`;
});

app.listen(process.env.PORT || 3002);
